TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Properties | List of all members
TIBCO.EMS.ADMIN.RouteInfo Class Reference

An object of this class represents the configuration and optionally statistical data about the routed server. More...

## Public Member Functions
| RouteInfo (string name, string url, System.Collections.Hashtable sslParams)
| The public constructor used to create a RouteInfo object. More...
| RouteInfo (string name, string url, System.Collections.Hashtable sslParams, string zoneName, ZoneType zoneType)
| The public constructor used to create a RouteInfo object that is part of a specific zone. More...
| RouteInfo (string name, string url, System.Collections.Hashtable sslParams, string zoneName, ZoneType zoneType, int topicPrefetch)
| The public constructor used to create a RouteInfo object that is part of a specific zone. More...
void | AddIncomingSelector (RouteSelector rs)
| Add a new incoming selector to the route. More...
void | RemoveIncomingSelector (string topic)
| Remove the incoming selector on a given topic. More...
void | UpdateIncomingSelector (RouteSelector rs)
| Replace the current incoming selector on a given topic with a new one. More...
void | AddOutgoingSelector (RouteSelector rs)
| Add a new outgoing selector to the route. More...
void | RemoveOutgoingSelector (string topic)
| Remove the outgoing selector on a given topic. More...
void | UpdateOutgoingSelector (RouteSelector rs)
| Replace the current outgoing selector on a given topic with a new one. More...
override string | ToString ()
| Returns a String that represents the current Object More...
string | StatString ()
| Helper method to generate the statistical information in string form. More...

## Public Attributes
const string | DEFAULT_DAG_ZONE = "default_mhop_zone"
| The name of the zone that routes are members of if no zone name is specified. This zone is a DAG zone. More...

## Properties
bool | Configured`[get]`
| Indicates whether or not the route is defined in the server configuration. More...
bool | Connected`[get]`
| Indicates whether or not the route is connected. More...
bool | Stalled`[get]`
| Indicates whether or not this route has stalled destinations. More...
long | ConnectionID`[get]`
| Returns connection ID of this route or 0 if route is not connected. More...
long | BacklogCount`[get]`
| Get the route's message backlog count. More...
long | BacklogSize`[get]`
| Get the route's message backlog size. More...
string | URL`[get, set]`
| Get or set the URL of the remote server in this route. More...
string | Name`[get, set]`
| Get or set the name of the remote server in this route. More...
int | TopicPrefetch`[get, set]`
| Get or set the prefetch that overrides individual topic prefetches More...
System.Collections.Hashtable | SSLParams`[get, set]`
| Get the SSL parameters for the connection to the remote server. More...
string | ZoneName`[get]`
| Get the name of the zone this route is in. More...
ZoneType | ZoneType`[get]`
| Get the type of zone this route is in. More...
StatData | InboundStatistics`[get]`
| Returns cumulative inbound statistics for all destinations on this route. More...
StatData | OutboundStatistics`[get]`
| Returns cumulative outbound statistics for all destinations on this route. More...
DetailedDestStat[] | DetailedStatistics`[get]`
| Returns detailed destination statistics for all destinations being sent to or received from this route. More...
RouteSelector[] | IncomingSelectors`[get]`
| Get the selectors that will be run on messages received by this route. More...
RouteSelector[] | OutgoingSelectors`[get]`
| Get the selectors that will be run on messages before they are sent to this route. More...

## Detailed Description

An object of this class represents the configuration and optionally statistical data about the routed server.

When this object is received via the call to method Admin.GetRoute(), it does not contain statistical information about the route. Only objects returned by method Admin.GetRouteStatistics(name) return RouteInfo objects including all statistical data.

## Constructor & Destructor Documentation

TIBCO.EMS.ADMIN.RouteInfo.RouteInfo | ( | string | name,
|  | string | url,
|  | System.Collections.Hashtable | sslParams
| ) |  |
| inline

The public constructor used to create a RouteInfo object.

The route does not exist on the server until this RouteInfo is passed to Admin.CreateRoute(). The route created will be a member of the default DAG zone (DEFAULT_DAG_ZONE).

Parameters

  name | the name of the remote server that this route is to.
  url | the URL of the remote server.
  sslParams | the SSL parameters for the connection to the remote server (can be null).

TIBCO.EMS.ADMIN.RouteInfo.RouteInfo | ( | string | name,
|  | string | url,
|  | System.Collections.Hashtable | sslParams,
|  | string | zoneName,
|  | ZoneType | zoneType
| ) |  |
| inline

The public constructor used to create a RouteInfo object that is part of a specific zone.

The route does not exist on the server until this RouteInfo is passed to Admin.CreateRoute().

Parameters

  name | the name of the remote server that this route is to.
  url | the URL of the remote server.
  sslParams | the SSL parameters for the connection to the remote server (can be null).
  zoneName | the name of the route's zone.
  zoneType | the type of routing in the zone, either TIBCO.EMS.ADMIN.ZoneType.MultiHop or TIBCO.EMS.ADMIN.ZoneType.OneHop. TIBCO.EMS.ADMIN.ZoneType

TIBCO.EMS.ADMIN.RouteInfo.RouteInfo | ( | string | name,
|  | string | url,
|  | System.Collections.Hashtable | sslParams,
|  | string | zoneName,
|  | ZoneType | zoneType,
|  | int | topicPrefetch
| ) |  |
| inline

The public constructor used to create a RouteInfo object that is part of a specific zone.

The route does not exist on the server until this RouteInfo is passed to Admin.CreateRoute().

Parameters

  name | the name of the remote server that this route is to.
  url | the URL of the remote server.
  sslParams | the SSL parameters for the connection to the remote server (can be null).
  zoneName | the name of the route's zone.
  zoneType | the type of routing in the zone, either ZoneType.MultiHop or ZoneType.OneHop. TIBCO.EMS.ADMIN.ZoneType
  topicPrefetch | the topic prefetch of this route

## Member Function Documentation

void TIBCO.EMS.ADMIN.RouteInfo.AddIncomingSelector | ( | RouteSelector | rs | ) |
| inline

Add a new incoming selector to the route.

If there is already a selector on that topic, the old one will be replaced by the new one.

Parameters

  rs | the new selector.

Exceptions

  ArgumentException | if rs is null.

void TIBCO.EMS.ADMIN.RouteInfo.AddOutgoingSelector | ( | RouteSelector | rs | ) |
| inline

Add a new outgoing selector to the route.

If there is already a selector on that topic, the old one will be replaced by the new one.

Parameters

  rs | the new selector.

Exceptions

  ArgumentException | if rs is null.

void TIBCO.EMS.ADMIN.RouteInfo.RemoveIncomingSelector | ( | string | topic | ) |
| inline

Remove the incoming selector on a given topic.

Parameters

  topic | the topic to remove the selector from.

Exceptions

  AdminInvalidNameException | if topic is not a valid topic.

void TIBCO.EMS.ADMIN.RouteInfo.RemoveOutgoingSelector | ( | string | topic | ) |
| inline

Remove the outgoing selector on a given topic.

Parameters

  topic | the topic to remove the selector from.

Exceptions

  AdminInvalidNameException | if topic is not a valid topic.

string TIBCO.EMS.ADMIN.RouteInfo.StatString | ( |  | ) |
| inline

Helper method to generate the statistical information in string form.

Returns
  a String representation of statistical information.

override string TIBCO.EMS.ADMIN.RouteInfo.ToString | ( |  | ) |
| inline

Returns a String that represents the current Object

void TIBCO.EMS.ADMIN.RouteInfo.UpdateIncomingSelector | ( | RouteSelector | rs | ) |
| inline

Replace the current incoming selector on a given topic with a new one.

Parameters

  rs | the updated selector.

Exceptions

  ArgumentException | if rs is null.

void TIBCO.EMS.ADMIN.RouteInfo.UpdateOutgoingSelector | ( | RouteSelector | rs | ) |
| inline

Replace the current outgoing selector on a given topic with a new one.

Parameters

  rs | the updated selector.

Exceptions

  ArgumentException | if rs is null.

## Member Data Documentation

const string TIBCO.EMS.ADMIN.RouteInfo.DEFAULT_DAG_ZONE = "default_mhop_zone"

The name of the zone that routes are members of if no zone name is specified. This zone is a DAG zone.

## Property Documentation

long TIBCO.EMS.ADMIN.RouteInfo.BacklogCount
| get

Get the route's message backlog count.

Returns
  the number of messages in the route's backlog

since EMS 5.0

long TIBCO.EMS.ADMIN.RouteInfo.BacklogSize
| get

Get the route's message backlog size.

Returns
  the size of all messages in the route's backlog

since EMS 5.0

bool TIBCO.EMS.ADMIN.RouteInfo.Configured
| get

Indicates whether or not the route is defined in the server configuration.

Note that if the route is not configured, its parameters can not be changed.

Returns
  true if this route is defined in the server configuration and, false if this route is not defined, but is present via a remote server connecting to this server.

bool TIBCO.EMS.ADMIN.RouteInfo.Connected
| get

Indicates whether or not the route is connected.

Returns
  true if this route is connected and false if this route is defined in the server configuration but is not connected.

long TIBCO.EMS.ADMIN.RouteInfo.ConnectionID
| get

Returns connection ID of this route or 0 if route is not connected.

DetailedDestStat [] TIBCO.EMS.ADMIN.RouteInfo.DetailedStatistics
| get

Returns detailed destination statistics for all destinations being sent to or received from this route.

Returns
  detailed destination statistics for all destinations being sent to or received from this route.

StatData TIBCO.EMS.ADMIN.RouteInfo.InboundStatistics
| get

Returns cumulative inbound statistics for all destinations on this route.

Inbound statistics refers to all messages this route sends to the connected server.

Returns
  the cumulative inbound statistics for all destinations on this route.

RouteSelector [] TIBCO.EMS.ADMIN.RouteInfo.IncomingSelectors
| get

Get the selectors that will be run on messages received by this route.

Only messages that match at least one of the selectors will be received by the route.

Returns
  an array of RouteSelector objects.

string TIBCO.EMS.ADMIN.RouteInfo.Name
| get set

Get or set the name of the remote server in this route.

The name of existing route can not be changed. This method is used to create the new route.

Returns
  the name of the remote server in this route.

StatData TIBCO.EMS.ADMIN.RouteInfo.OutboundStatistics
| get

Returns cumulative outbound statistics for all destinations on this route.

Outbound data refers to all messages the server sends to this route.

Returns
  cumulative outbound statistics for all destinations on this route.

RouteSelector [] TIBCO.EMS.ADMIN.RouteInfo.OutgoingSelectors
| get

Get the selectors that will be run on messages before they are sent to this route.

Only messages that match at least one of the selectors will be forwarded by the route.

Returns
  an array of RouteSelector objects.

System.Collections.Hashtable TIBCO.EMS.ADMIN.RouteInfo.SSLParams
| get set

Get the SSL parameters for the connection to the remote server.

bool TIBCO.EMS.ADMIN.RouteInfo.Stalled
| get

Indicates whether or not this route has stalled destinations.

Notice this flag is set if any number of destinations are stalled. It does not indicate if all destinations sent by this route are stalled.

Returns
  true if this route has any stalled destination, false otherwise.

int TIBCO.EMS.ADMIN.RouteInfo.TopicPrefetch
| get set

Get or set the prefetch that overrides individual topic prefetches

Returns
  the topic prefetch of this route

since EMS 8.1

string TIBCO.EMS.ADMIN.RouteInfo.URL
| get set

Get or set the URL of the remote server in this route.

Returns
  the URL of the remote server in this route.

string TIBCO.EMS.ADMIN.RouteInfo.ZoneName
| get

Get the name of the zone this route is in.

Returns
  the name of the zone this route is in. For pre-3.2 servers this will be DEFAULT_DAG_ZONE.

ZoneType TIBCO.EMS.ADMIN.RouteInfo.ZoneType
| get

Get the type of zone this route is in.

Returns
  the type of zone this route is in. TIBCO.EMS.ADMIN.ZoneType.